libqxp::QXPContentCollector::CollectedObjectInterface Class Referenceabstract
Inheritance diagram for libqxp::QXPContentCollector::CollectedObjectInterface:

## Public Member Functions
virtual | ~CollectedObjectInterface ()=default
virtual void | draw (const CollectedPage &page)=0
virtual unsigned | zIndex () const =0
virtual void | setZIndex (unsigned value)=0

## Constructor & Destructor Documentation

## ◆ ~CollectedObjectInterface()

virtual libqxp::QXPContentCollector::CollectedObjectInterface::~CollectedObjectInterface | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ draw()

virtual void libqxp::QXPContentCollector::CollectedObjectInterface::draw | ( | const CollectedPage & | page | ) |
| pure virtual

Implemented in libqxp::QXPContentCollector::CollectedObject< T >.

## ◆ setZIndex()

virtual void libqxp::QXPContentCollector::CollectedObjectInterface::setZIndex | ( | unsigned | value | ) |
| pure virtual

Implemented in libqxp::QXPContentCollector::CollectedObject< T >.

## ◆ zIndex()

virtual unsigned libqxp::QXPContentCollector::CollectedObjectInterface::zIndex | ( |  | ) | const
| pure virtual

Implemented in libqxp::QXPContentCollector::CollectedObject< T >.

The documentation for this class was generated from the following file:

- QXPContentCollector.h